Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.worklist.api
Interface WorklistContext

    public interface WorklistContext

Factory to obtain instances of the various worklist interfaces.

Since:
  9.2

Method Summary
`WorklistSystem` | `getInterfaceForSystem()`
`WorklistTaskAdmin` | `getInterfaceForTaskAdmin()`
`WorklistTaskQuery` | `getInterfaceForTaskQuery()`
`WorklistTaskUser` | `getInterfaceForTaskUser()`
`WorkSubstituteManager` | `getInterfaceForWorkSubstitute()`
`TaskPlanRegistry` | `getTaskPlanRegistry()`
`void` | `release()`

Method Detail

### getTaskPlanRegistry

    TaskPlanRegistry getTaskPlanRegistry()
                                         throws ManagementException,
                                                RemoteException

  Throws:
    `ManagementException`
    `RemoteException`

### getInterfaceForTaskUser

    WorklistTaskUser getInterfaceForTaskUser()
                                             throws ManagementException,
                                                    RemoteException

  Throws:
    `ManagementException`
    `RemoteException`

### getInterfaceForTaskAdmin

    WorklistTaskAdmin getInterfaceForTaskAdmin()
                                               throws ManagementException,
                                                      RemoteException

  Throws:
    `ManagementException`
    `RemoteException`

### getInterfaceForTaskQuery

    WorklistTaskQuery getInterfaceForTaskQuery()
                                               throws ManagementException,
                                                      RemoteException

  Throws:
    `ManagementException`
    `RemoteException`

### getInterfaceForSystem

    WorklistSystem getInterfaceForSystem()
                                         throws ManagementException,
                                                RemoteException

  Throws:
    `ManagementException`
    `RemoteException`

### getInterfaceForWorkSubstitute

    WorkSubstituteManager getInterfaceForWorkSubstitute()
                                                        throws ManagementException,
                                                               RemoteException

  Throws:
    `ManagementException`
    `RemoteException`

### release

    void release()
                 throws ManagementException,
                        RemoteException

  Throws:
    `ManagementException`
    `RemoteException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD